## Class MatriceCarre

- java.lang.Object
- - MatriceCarre

    public class MatriceCarre
    extends java.lang.Object

Une classe definissant une matrice carree

### Constructor Summary

Constructors
`MatriceCarre​(int t)` Constructeur creant une matrice vide
`MatriceCarre​(MatriceCarre a)` Constructeur copiant une matrice donnee dans une nouvelle matrice

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(MatriceCarre a)`
`int` `getCoeff​(int i, int j)` Methode permettant de recuperer le coefficient d'une matrice
`void` `setCoeff​(int i, int j, int val)` Methode permettant de definir le coefficient d'une matrice
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MatriceCarre

    public MatriceCarre​(int t)

Constructeur creant une matrice vide

Parameters:
  `t` - La taille de la matrice

#### MatriceCarre

    public MatriceCarre​(MatriceCarre a)

Constructeur copiant une matrice donnee dans une nouvelle matrice

Parameters:
  `a` - La matrice à copier

### Method Detail

#### setCoeff

    public void setCoeff​(int i,
                         int j,
                         int val)

Methode permettant de definir le coefficient d'une matrice

Parameters:
  `i` - Le coefficient de ligne
  `j` - Le coefficient de colonne
  `val` - La valeur du coefficient

#### getCoeff

    public int getCoeff​(int i,
                        int j)

Methode permettant de recuperer le coefficient d'une matrice

Parameters:
  `i` - Le coefficient de ligne
  `j` - Le coefficient de colonne
Returns:
  Le coefficient

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### equals

    public boolean equals​(MatriceCarre a)